Get Agent
GET
/api/v1/workflow/fetch/{workflow_id}Get a single workflow by ID. If a draft version exists, returns the draft content for editing. Otherwise returns the published version's content.
cURL example
curl -X GET \
'https://app.intracord.hu/api/v1/workflow/fetch/{workflow_id}' \
-H "X-API-Key: $INTRACORD_API_KEY"Parameters
| Name | Location | Type | Description |
|---|---|---|---|
workflow_idrequired | path | integer | — |
authorization | header | object | — |
X-API-Key | header | object | — |
Responses
200Successful Responseapplication/jsonView schema
{
"properties": {
"id": {
"type": "integer",
"title": "Id"
},
"name": {
"type": "string",
"title": "Name"
},
"status": {
"type": "string",
"title": "Status"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"workflow_definition": {
"additionalProperties": true,
"type": "object",
"title": "Workflow Definition"
},
"current_definition_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Current Definition Id"
},
"template_context_variables": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Template Context Variables"
},
"call_disposition_codes": {
"anyOf": [
{
"$ref": "#/components/schemas/CallDispositionCodes"
},
{
"type": "null"
}
]
},
"total_runs": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Total Runs"
},
"workflow_configurations": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Workflow Configurations"
},
"version_number": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Version Number"
},
"version_status": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Version Status"
},
"workflow_uuid": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Workflow Uuid"
}
},
"type": "object",
"required": [
"id",
"name",
"status",
"created_at",
"workflow_definition",
"current_definition_id"
],
"title": "WorkflowResponse"
}404Not found422Validation Errorapplication/jsonView schema
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}